Loading...
Searching...
No Matches
OBFFConstraint Class Reference

`#include <openbabel/forcefield.h>`

## Public Member Functions

| OBFFConstraint ()
| ~OBFFConstraint ()
vector3 | GetGradient (int a)

## Public Attributes

double | factor
double | constraint_value
double | rab0
double | rbc0
int | type
int | ia
int | ib
int | ic
int | id
OBAtom * | a
OBAtom * | b
OBAtom * | c
OBAtom * | d
vector3 | grada
vector3 | gradb
vector3 | gradc
vector3 | gradd

## Detailed Description

Internal class for OBForceField to hold constraints.

Since
  version 2.2

## Constructor & Destructor Documentation

## OBFFConstraint()

OBFFConstraint | ( |  | ) |

inline

Constructor.

## ~OBFFConstraint()

~OBFFConstraint | ( |  | ) |

inline

Destructor.

## Member Function Documentation

## GetGradient()

vector3 GetGradient | ( | int | a | ) |

inline

## Member Data Documentation

## factor

double factor

Used to store the contraint energy for this OBFFConstraint.

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddAtomConstraint(), OBFFConstraints::AddAtomXConstraint(), OBFFConstraints::AddAtomYConstraint(), OBFFConstraints::AddAtomZConstraint(), OBFFConstraints::AddDistanceConstraint(), OBFFConstraints::AddTorsionConstraint(), and OBFFConstraint().

## constraint_value

double constraint_value

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddDistanceConstraint(), OBFFConstraints::AddTorsionConstraint(), and OBFFConstraint().

## rab0

double rab0

## rbc0

double rbc0

## type

int type

Used to store the contraint type for this OBFFConstraint.

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddAtomConstraint(), OBFFConstraints::AddAtomXConstraint(), OBFFConstraints::AddAtomYConstraint(), OBFFConstraints::AddAtomZConstraint(), OBFFConstraints::AddDistanceConstraint(), OBFFConstraints::AddIgnore(), and OBFFConstraints::AddTorsionConstraint().

## ia

int ia

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddAtomConstraint(), OBFFConstraints::AddAtomXConstraint(), OBFFConstraints::AddAtomYConstraint(), OBFFConstraints::AddAtomZConstraint(), OBFFConstraints::AddDistanceConstraint(), OBFFConstraints::AddIgnore(), OBFFConstraints::AddTorsionConstraint(), GetGradient(), and OBFFConstraint().

## ib

int ib

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddDistanceConstraint(), OBFFConstraints::AddTorsionConstraint(), GetGradient(), and OBFFConstraint().

## ic

int ic

Referenced by OBFFConstraints::AddAngleConstraint(), OBFFConstraints::AddTorsionConstraint(), GetGradient(), and OBFFConstraint().

## id

int id

Referenced by OBFFConstraints::AddTorsionConstraint().

## a

OBAtom* a

Used to store the atoms for this OBFFCostraint.

Referenced by GetGradient(), and OBFFConstraint().

## b

OBAtom * b

Referenced by OBFFConstraint().

## c

OBAtom * c

Referenced by OBFFConstraint().

## d

OBAtom * d

Referenced by OBFFConstraint().

## grada

vector3 grada

Used to store the gradients for this OBFFCalculation.

Referenced by GetGradient().

## gradb

vector3 gradb

Referenced by GetGradient().

## gradc

vector3 gradc

Referenced by GetGradient().

## gradd

vector3 gradd

Referenced by GetGradient().

The documentation for this class was generated from the following file:

- forcefield.h